      complex function cgamma (z)
c july 1977 edition.  w. fullerton, c3, los alamos scientific lab.
c a preliminary version that is portable, but not accurate enough.
      complex z, cexp, clngam
      external cexp, clngam
c
      cgamma = cexp (clngam(z))
c
      return
      end
